SecurableCommunicationChannels (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.security, interface: SecurableCommunicationChannels

Package org.apache.geode.security

# Interface SecurableCommunicationChannels

public interface SecurableCommunicationChannels
This class defines all the static definitions for the `ConfigurationProperties.SSL_ENABLED_COMPONENTS` Since: Geode 1.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALL`
  This determines that all components will be secured.
  `static final String`
  `CLUSTER`
  This determines that the inter-server (or server-to-server) communication will be secured.
  `static final String`
  `GATEWAY`
  This determines that the gateway communication will be secured.
  `static final String`
  `JMX`
  This determines that test jmx communication will be secured.
  `static final String`
  `LOCATOR`
  This determines that the locator communication will be secured.
  `static final String`
  `SERVER`
  This determines that the client-server communication will be secured.
  `static final String`
  `WEB`
  This determines that the http service communication will be secured.

- ## Field Details

  - ### ALL

    static final String ALL
    This determines that all components will be secured. Since: Geode 1.0
    See Also:
      - Constant Field Values

  - ### SERVER

    static final String SERVER
    This determines that the client-server communication will be secured. Since: Geode 1.0
    See Also:
      - Constant Field Values

  - ### CLUSTER

    static final String CLUSTER
    This determines that the inter-server (or server-to-server) communication will be secured. Since: Geode 1.0
    See Also:
      - Constant Field Values

  - ### JMX

    static final String JMX
    This determines that test jmx communication will be secured. Since: Geode 1.0
    See Also:
      - Constant Field Values

  - ### WEB

    static final String WEB
    This determines that the http service communication will be secured. Since: Geode 1.0
    See Also:
      - Constant Field Values

  - ### GATEWAY

    static final String GATEWAY
    This determines that the gateway communication will be secured. Since: Geode 1.0
    See Also:
      - Constant Field Values

  - ### LOCATOR

    static final String LOCATOR
    This determines that the locator communication will be secured. Since: Geode 1.0
    See Also:
      - Constant Field Values